Bug 526470 - NFSv3 mounting broken in dracut netboot
Summary: NFSv3 mounting broken in dracut netboot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NeedsRetesting
Depends On:
Blocks: F12Target
TreeView+ depends on / blocked
 
Reported: 2009-09-30 13:50 UTC by Warren Togami
Modified: 2013-01-10 05:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-08 20:53:45 UTC
Type: ---


Attachments (Terms of Use)

Description Warren Togami 2009-09-30 13:50:49 UTC
dracut-002-8.git845dd502.fc12.noarch

The nfs-utils change switching to NFSv4 by default broke dracut NFSv3 netboot.  There is already a patch upstream.  This is a bug tracking this issue so we get it into F12 Beta.

Comment 1 Adam Williamson 2009-09-30 20:04:52 UTC
does this block testing of 516042?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Warren Togami 2009-10-01 00:16:19 UTC
Harald said his branch with a fix for this issue was failing consistently in the test suite, but it seems to succeed for me.

Comment 3 Adam Williamson 2009-10-02 16:01:25 UTC
setting MODIFIED as this is believed to be fixed in both nfs-utils and dracut as of today's Rawhide (fixes are tagged). anyone with an appropriate setup, please test and confirm the fix.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Jesse Keating 2009-10-08 16:26:41 UTC
This was on the blocker list due to the nfs change responsible breaking lots of things.  That change was reverted, and thus this is no longer a "blocker" issue.  Moving it off the blocker.

Comment 5 Warren Togami 2009-10-08 20:53:45 UTC
That isn't exactly true.  It was "reverted" only by changing the default in /etc/nfsmount.conf, the tool itself used in dracut doesn't have the nfsmount.conf so it still defaults to nfsv4.  It was subsequently fixed in dracut so this can be closed.


Note You need to log in before you can comment on or make changes to this bug.